haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Deprecation

Synopsis

- data DeprecationInfo = DeprecationInfo {
  - deprecatedSinceVersion :: Maybe Text
  - deprecationMessage :: Maybe Text
  }
- queryDeprecated :: Element -> Maybe DeprecationInfo

# Documentation

data DeprecationInfo Source #

Deprecation information on a symbol.

Constructors

DeprecationInfo |

Fields

- deprecatedSinceVersion :: Maybe Text
- deprecationMessage :: Maybe Text

#### Instances

Instances details

Show DeprecationInfo Source # |
Instance details Defined in Data.GI.GIR.Deprecation Methods showsPrec :: Int -> DeprecationInfo -> ShowS Source # show :: DeprecationInfo -> String Source # showList :: [DeprecationInfo] -> ShowS Source #
Eq DeprecationInfo Source # |
Instance details Defined in Data.GI.GIR.Deprecation Methods (==) :: DeprecationInfo -> DeprecationInfo -> Bool Source # (/=) :: DeprecationInfo -> DeprecationInfo -> Bool Source #

queryDeprecated :: Element -> Maybe DeprecationInfo Source #

Parse the deprecation information for the given element of the GIR file.